local natureMod = ...

local SEED_CMP_NAME = MOD_NS .. "SEED_COMPONENT"

local SEED_COMPONENT = {
    TypeName = SEED_CMP_NAME,
	ParentType = "COMPONENT",
    Properties = {
        { Name = "maxDistanceToHut", Type = "float", Default = 140 }
    }
}

function SEED_COMPONENT:init()
    self.id = "SEED_" .. tostring(math.random())
    local plantPosition = self:getOwner():getGlobalPosition()
    local closestOwner = {
        minDistance = 0,
        hutComponent = nil
    }

    self.huts = {}
    self:getLevel():getComponentManager(FOREST_HUT_COMP_TYPE):getAllComponent():forEach(function(forestHutCmp)
        local hutPosition = forestHutCmp:getOwner():getGlobalPosition()
        local dxdz = math.abs(hutPosition[1] - plantPosition[1]) + math.abs(hutPosition[3] - plantPosition[3])

        if dxdz < self.maxDistanceToHut then
            forestHutCmp:addSeed(self)
            table.insert(self.huts, forestHutCmp)
        end
    end)

    self.hutComponent = closestOwner["hutComponent"]
end

function SEED_COMPONENT:onDestroy(isClearingLevel)
    if isClearingLevel then
        return
    end

    for i = 1, #self.huts do
        self.huts[i]:removeSeed(self)
    end
end

natureMod:registerClass(SEED_COMPONENT)