natureMod = ...

natureMod:registerAsset({
    DataType = "BUILDING_FUNCTION_FARM",
    Id = MOD_NS .. "BUILDING_FUNCTION_CONIFEROUS_FORESTER",
    Name = MOD_NS .. "CONIFEROUS_FORESTER",
	WorkerCapacity = 1,
    RelatedJob = { 
        Job = "FORESTER", 
        Behavior = MOD_NS .. "BEHAVIOR_FORESTER"
	},

    SowingDurationPerc = {0, 17},
	GrowDuration = { 17, 19 }, 
	GrowWaitDuration = { 19, 19 },
	HarvestDuration = { 19, 19 },
	RestDuration = { 19, 21},

    QuantityToHarvestPerStep = 0,
	HarvestStepsCount = 0,
	ResourceValuePerGather = 0,

    QuantityToPlantPerStep = 0,
	PlantingStepsCount = 0,

    CropFieldConfig = MOD_NS .. "FARM_FIELD_CONFIG_FORESTER",
    GrowingSetup = MOD_NS .. "AGENT_WORKSTATION_SETUP_FORESTER", 
    SowingSetup = MOD_NS .. "AGENT_WORKSTATION_SETUP_FORESTER", 
    HarvestSetup = MOD_NS .. "AGENT_WORKSTATION_SETUP_FORESTER"
})

natureMod:registerAsset({
    DataType = "JOB",
    Id = MOD_NS .. "JOB_PLANT_DECIDUOUS_FOREST",
    JobName = "PLANT_DECIDUOUS_FOREST",
    IsLockedByDefault = false,
    Hidden = true,
    AssetJobProgression = "DEFAULT_JOB_PROGRESSION",
    CharacterSetup = {
        DataType = "CHARACTER_SETUP",
        IdleAnimation = "IDLE",
        MaleBackList = {
            "PREFAB_TOOL_FARMER_SEED_BAG"
        },
        FemaleBackList = {
            "PREFAB_TOOL_FARMER_SEED_BAG"
        }
    }
})

natureMod:registerAsset({
    DataType = "BUILDING_FUNCTION_FARM",
    Id = MOD_NS .. "BUILDING_FUNCTION_DECIDUOUS_FORESTER",
    Name = MOD_NS .. "DECIDUOUS_FORESTER",
	WorkerCapacity = 1,
    RelatedJob = { 
        Job = MOD_NS .. "JOB_PLANT_DECIDUOUS_FOREST", 
        Behavior = MOD_NS .. "BEHAVIOR_FORESTER"
	},

    SowingDurationPerc = {0, 17},
	GrowDuration = { 17, 19 }, 
	GrowWaitDuration = { 19, 19 },
	HarvestDuration = { 19, 19 },
	RestDuration = { 19, 21},

    QuantityToHarvestPerStep = 0,
	HarvestStepsCount = 0,
	ResourceValuePerGather = 0,

    QuantityToPlantPerStep = 0,
	PlantingStepsCount = 0,

    CropFieldConfig = MOD_NS .. "FARM_FIELD_CONFIG_FORESTER",
    GrowingSetup = MOD_NS .. "AGENT_WORKSTATION_SETUP_FORESTER", 
    SowingSetup = MOD_NS .. "AGENT_WORKSTATION_SETUP_FORESTER", 
    HarvestSetup = MOD_NS .. "AGENT_WORKSTATION_SETUP_FORESTER"
})

natureMod:registerAsset({
    DataType = "JOB",
    Id = MOD_NS .. "JOB_PLANT_MIXED_FOREST",
    JobName = "PLANT_MIXED_FOREST",
    IsLockedByDefault = false,
    Hidden = true,
    AssetJobProgression = "DEFAULT_JOB_PROGRESSION",
    CharacterSetup = {
        DataType = "CHARACTER_SETUP",
        IdleAnimation = "IDLE",
        MaleBackList = {
            "PREFAB_TOOL_FARMER_SEED_BAG"
        },
        FemaleBackList = {
            "PREFAB_TOOL_FARMER_SEED_BAG"
        }
    }
})

local foresterJobs = {
	Action = "APPEND",
    MOD_NS .. "JOB_PLANT_MIXED_FOREST",
    MOD_NS .. "JOB_PLANT_DECIDUOUS_FOREST",
}
natureMod:override({ Id = "NEWCOMER", CompatibleJobList = foresterJobs })
natureMod:override({ Id = "SERF", CompatibleJobList = foresterJobs })
natureMod:override({ Id = "COMMONER", CompatibleJobList = foresterJobs })
natureMod:override({ Id = "CITIZEN", CompatibleJobList = foresterJobs })

natureMod:registerAsset({
    DataType = "BUILDING_FUNCTION_FARM",
    Id = MOD_NS .. "BUILDING_FUNCTION_MIXED_FORESTER",
    Name = MOD_NS .. "MIXED_FORESTER",
	WorkerCapacity = 1,
    RelatedJob = { 
        Job = MOD_NS .. "JOB_PLANT_MIXED_FOREST", 
        Behavior = MOD_NS .. "BEHAVIOR_FORESTER"
	},

    SowingDurationPerc = {0, 17},
	GrowDuration = { 17, 19 }, 
	GrowWaitDuration = { 19, 19 },
	HarvestDuration = { 19, 19 },
	RestDuration = { 19, 21},

    QuantityToHarvestPerStep = 0,
	HarvestStepsCount = 0,
	ResourceValuePerGather = 0,

    QuantityToPlantPerStep = 0,
	PlantingStepsCount = 0,

    CropFieldConfig = MOD_NS .. "FARM_FIELD_CONFIG_FORESTER",
    GrowingSetup = MOD_NS .. "AGENT_WORKSTATION_SETUP_FORESTER", 
    SowingSetup = MOD_NS .. "AGENT_WORKSTATION_SETUP_FORESTER", 
    HarvestSetup = MOD_NS .. "AGENT_WORKSTATION_SETUP_FORESTER"
})

natureMod:registerAsset({
    DataType = "BUILDING_FUNCTION_LIST",
    Id = MOD_NS .. "FOREST_HUT_FUNCTIONS_LIST",
	AssetFunctionList = {
        MOD_NS .. "BUILDING_FUNCTION_DECIDUOUS_FORESTER",
        MOD_NS .. "BUILDING_FUNCTION_MIXED_FORESTER",
        MOD_NS .. "BUILDING_FUNCTION_CONIFEROUS_FORESTER",
    }
})

natureMod:registerAsset({
    DataType = "BUILDING_FUNCTION_ASSIGNABLE",
    Id = MOD_NS .. "FOREST_HUT_BUILDING_FUNCTIONS",
	Name = MOD_NS .. "BUILDING_FUNCTION_ASSIGNABLE_FORESTER",
	AuthorizedFunctionList = MOD_NS .. "FOREST_HUT_FUNCTIONS_LIST"
})